[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AnsiContainsText

Check whether a string contains a certain substring, ignoring case.

## Declaration

Source position: strutils.pp line 30

`function AnsiContainsText(`
`const AText: string;`
`const ASubText: string`
`):Boolean;`

## Arguments

`AText` |  | The string to be searched
`ASubText` |  | The substring to search for

## Function result

True if the substring was found, False otherwise.

## Description

AnsiContainsString checks whether AText contains ASubText, and returns True if this is the case, or returns False otherwise. The search is performed case-insensitive.

## See also

AnsiContainsStr |  | Checks whether a string contains a given substring
AnsiEndsText |  | Check whether a string ends with a certain substring, ignoring case.
AnsiIndexText |  | Searches, case insensitive, for a string in an array of strings.
AnsiStartsText |  | Check whether a string starts with a given substring, ignoring case

Documentation generated on: Feb 26 2014